import { buildInteropUtility } from '../interopUtility';
import { SassOptionsInterface } from '../options/sassOptions';
import { SassContextInterface } from '../sassContext';
import { SassSourceContext } from '../SassSourceContext';
import { wrapSassContext } from '../wrapSassContext';
/**
 * @internal
 */
declare class SassFileContext implements SassSourceContext {
    private readonly cwrapCtx;
    private readonly interop;
    private readonly sassFileContextPtr;
    private readonly inputPathPtr;
    private sassOptions;
    private sassContext;
    constructor(inputPath: string, cwrapCtx: ReturnType<typeof wrapSassContext>, interop: ReturnType<typeof buildInteropUtility>);
    options: SassOptionsInterface | null;
    getContext(): SassContextInterface;
    compile(): number;
    dispose(): void;
}
export { SassFileContext, SassSourceContext };
